=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2011-07-01 18:59:28 +0000
+++ client/drizzle.cc	2011-07-05 11:15:32 +0000
@@ -1690,12 +1690,9 @@
 
   if (vm.count("protocol"))
   {
-    std::transform(opt_protocol.begin(), opt_protocol.end(), 
-      opt_protocol.begin(), ::tolower);
-
+    boost::to_lower(opt_protocol);
     if (not opt_protocol.compare("mysql"))
     {
-
       global_con_options= (drizzle_con_options_t)(DRIZZLE_CON_MYSQL|DRIZZLE_CON_INTERACTIVE);
       use_drizzle_protocol= false;
     }
@@ -2548,17 +2545,14 @@
     return (char**) 0;
 }
 
-inline string lower_string(const string &from_string)
+inline string lower_string(const string& from)
 {
-  string to_string= from_string;
-  transform(to_string.begin(), to_string.end(),
-            to_string.begin(), ::tolower);
-  return to_string;
+  return boost::to_lower_copy(from);
 }
-inline string lower_string(const char * from_string)
+
+inline string lower_string(const char* from)
 {
-  string to_string= from_string;
-  return lower_string(to_string);
+  return boost::to_lower_copy(string(from));
 }
 
 template <class T>
@@ -2571,8 +2565,7 @@
   CompletionMatch(string text) : match_text(text) {}
   inline bool operator() (const pair<string,string> &match_against) const
   {
-    string sub_match=
-      lower_string(match_against.first.substr(0,match_text.size()));
+    string sub_match= lower_string(match_against.first.substr(0,match_text.size()));
     return match_func(sub_match,match_text);
   }
 };

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2011-06-14 19:24:40 +0000
+++ client/drizzledump.cc	2011-07-05 11:15:32 +0000
@@ -648,9 +648,7 @@
 
   if (vm.count("protocol"))
   {
-    std::transform(opt_protocol.begin(), opt_protocol.end(),
-      opt_protocol.begin(), ::tolower);
-
+    boost::to_lower(opt_protocol);
     if (not opt_protocol.compare("mysql"))
       use_drizzle_protocol=false;
     else if (not opt_protocol.compare("drizzle"))

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2011-06-14 19:24:40 +0000
+++ client/drizzleimport.cc	2011-07-05 11:15:32 +0000
@@ -463,9 +463,7 @@
   po::notify(vm);
   if (vm.count("protocol"))
   {
-    std::transform(opt_protocol.begin(), opt_protocol.end(),
-      opt_protocol.begin(), ::tolower);
-
+    boost::to_lower(opt_protocol);
     if (not opt_protocol.compare("mysql"))
       use_drizzle_protocol=false;
     else if (not opt_protocol.compare("drizzle"))

=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2011-06-30 07:03:08 +0000
+++ client/drizzleslap.cc	2011-07-05 11:15:32 +0000
@@ -100,6 +100,7 @@
 /* Added this for string translation. */
 #include <drizzled/gettext.h>
 
+#include <boost/algorithm/string.hpp>
 #include <boost/thread.hpp>
 #include <boost/thread/mutex.hpp>
 #include <boost/thread/condition_variable.hpp>
@@ -611,9 +612,7 @@
 
     if (vm.count("protocol"))
     {
-      std::transform(opt_protocol.begin(), opt_protocol.end(),
-        opt_protocol.begin(), ::tolower);
-
+      boost::to_lower(opt_protocol);
       if (not opt_protocol.compare("mysql"))
         use_drizzle_protocol=false;
       else if (not opt_protocol.compare("drizzle"))

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2011-06-27 14:23:35 +0000
+++ client/drizzletest.cc	2011-07-05 11:15:32 +0000
@@ -5098,9 +5098,7 @@
 
   if (vm.count("protocol"))
   {
-    std::transform(opt_protocol.begin(), opt_protocol.end(),
-      opt_protocol.begin(), ::tolower);
-
+    boost::to_lower(opt_protocol);
     if (not opt_protocol.compare("mysql"))
       use_drizzle_protocol=false;
     else if (not opt_protocol.compare("drizzle"))

=== modified file 'drizzled/identifier/constants/schema.cc'
--- drizzled/identifier/constants/schema.cc	2011-03-23 23:44:48 +0000
+++ drizzled/identifier/constants/schema.cc	2011-07-05 11:15:32 +0000
@@ -33,7 +33,7 @@
   Schema(const std::string &name) :
     identifier::Schema(name)
   {
-    std::transform(name.begin(), name.end(), _path.begin(), ::tolower);
+    _path= boost::to_lower_copy(name);
   }
 
   const std::string &getPath() const

=== modified file 'drizzled/identifier/table.cc'
--- drizzled/identifier/table.cc	2011-03-29 10:15:45 +0000
+++ drizzled/identifier/table.cc	2011-07-05 11:15:32 +0000
@@ -143,11 +143,10 @@
 
 size_t Table::build_tmptable_filename(std::string &buffer)
 {
-  size_t tmpdir_length;
   ostringstream post_tmpdir_str;
 
   buffer.append(drizzle_tmpdir);
-  tmpdir_length= buffer.length();
+  size_t tmpdir_length= buffer.length();
 
   post_tmpdir_str << "/" << TMP_FILE_PREFIX << current_pid;
   post_tmpdir_str << pthread_self() << "-" << get_counter();
@@ -281,8 +280,7 @@
   hash_value= util::insensitive_hash()(path);
 
   std::string tb_name(getTableName());
-  std::transform(tb_name.begin(), tb_name.end(), tb_name.begin(), ::tolower);
-
+  boost::to_lower(tb_name);
   key.set(getKeySize(), getSchemaName(), tb_name);
 }
 

=== modified file 'drizzled/item/ident.cc'
--- drizzled/item/ident.cc	2011-07-05 10:42:50 +0000
+++ drizzled/item/ident.cc	2011-07-05 11:15:32 +0000
@@ -80,25 +80,23 @@
 
 const char *Item_ident::full_name() const
 {
-  char *tmp;
-	size_t tmp_len;
   if (!table_name || !field_name)
     return field_name ? field_name : name ? name : "tmp_field";
   if (db_name && db_name[0])
   {
-    tmp_len= strlen(db_name)+strlen(table_name)+strlen(field_name)+3;
-    tmp= (char*) memory::sql_alloc(tmp_len);
+    size_t tmp_len= strlen(db_name)+strlen(table_name)+strlen(field_name)+3;
+    char* tmp= (char*) memory::sql_alloc(tmp_len);
     snprintf(tmp, tmp_len, "%s.%s.%s",db_name,table_name,field_name);
+    return tmp;
   }
-  else if (table_name[0])
+  if (table_name[0])
   {
-    tmp_len=strlen(table_name)+strlen(field_name)+2;
-    tmp= (char*) memory::sql_alloc(tmp_len);
+    size_t tmp_len= strlen(table_name)+strlen(field_name)+2;
+    char* tmp= (char*) memory::sql_alloc(tmp_len);
     snprintf(tmp, tmp_len, "%s.%s", table_name, field_name);
+    return tmp;
   }
-  else
-    return field_name;
-  return tmp;
+  return field_name;
 }
 
 
@@ -108,23 +106,20 @@
 
   if (table_name && table_name[0])
   {
-    t_name.assign(table_name);
-    std::transform(t_name.begin(), t_name.end(), t_name.begin(), ::tolower);
+    t_name= table_name;
+    boost::to_lower(t_name);
   }
  
   if (db_name && db_name[0])
   {
-    d_name.assign(db_name);
-    // Keeping the std:: prefix here, since Item_ident has a transform
-    // method
-    std::transform(d_name.begin(), d_name.end(), d_name.begin(), ::tolower);
+    d_name= db_name;
+    boost::to_lower(d_name);
   }
 
   if (!table_name || !field_name || !field_name[0])
   {
     const char *nm= (field_name && field_name[0]) ? field_name : name ? name : "tmp_field";
     str->append_identifier(nm, (uint32_t) strlen(nm));
-
     return;
   }
   if (db_name && db_name[0] && !alias_name_used)

=== modified file 'drizzled/module/option_context.cc'
--- drizzled/module/option_context.cc	2011-02-17 00:14:13 +0000
+++ drizzled/module/option_context.cc	2011-07-05 11:15:32 +0000
@@ -18,80 +18,45 @@
  */
 
 #include <config.h>
-
+#include <boost/algorithm/string.hpp>
 #include "option_context.h"
 
-namespace drizzled
-{
-namespace module
-{
-
-
+namespace drizzled {
+namespace module {
+  
 option_context::option_context(const std::string &module_name_in,
                                po::options_description_easy_init po_options_in) :
   module_name(module_name_in),
   po_options(po_options_in)
 { }
 
-option_context& option_context::operator()(const char* name,
-                                           const char* description)
-{
-  const std::string new_name(prepend_name(module_name, name));
-  po_options(new_name.c_str(), description);
-  return *this;
-}
-
-
-option_context& option_context::operator()(const char* name,
-                                           const po::value_semantic* s)
-{
-  const std::string new_name(prepend_name(module_name, name));
-  po_options(new_name.c_str(), s);
-  return *this;
-}
-
-
-option_context& option_context::operator()(const char* name,
-                             const po::value_semantic* s,
-                             const char* description)
-{
-  const std::string new_name(prepend_name(module_name, name));
-  po_options(new_name.c_str(), s, description);
-  return *this;
-}
-
-namespace
-{
-
-class SwapUnderscores
-{
-public:
-  char operator()(char a) const
-  {
-    if (a == '_')
-      return '-';
-    return a;
-  }
-};
-
-} /* namespace */
-
-/*
- * Private methods.
- */
-std::string option_context::prepend_name(std::string in_module_name,
-                                         const char *name_in)
+option_context& option_context::operator()(const char* name, const char* description)
+{
+  po_options(prepend_name(module_name, name).c_str(), description);
+  return *this;
+}
+
+option_context& option_context::operator()(const char* name, const po::value_semantic* s)
+{
+  po_options(prepend_name(module_name, name).c_str(), s);
+  return *this;
+}
+
+option_context& option_context::operator()(const char* name, const po::value_semantic* s, const char* description)
+{
+  po_options(prepend_name(module_name, name).c_str(), s, description);
+  return *this;
+}
+
+std::string option_context::prepend_name(std::string in_module_name, const char *name_in)
 {
   in_module_name.push_back('.');
-  std::transform(in_module_name.begin(), in_module_name.end(),
-                 in_module_name.begin(), SwapUnderscores());
-  std::transform(in_module_name.begin(), in_module_name.end(),
-                 in_module_name.begin(), ::tolower);
+  std::replace(in_module_name.begin(), in_module_name.end(), '_', '-');
+  boost::to_lower(in_module_name);
   in_module_name.append(name_in);
   return in_module_name;
 }
 
-
 } /* namespace module */
 } /* namespace drizzled */
 

=== modified file 'drizzled/replication_services.cc'
--- drizzled/replication_services.cc	2011-06-24 13:06:18 +0000
+++ drizzled/replication_services.cc	2011-07-05 11:15:32 +0000
@@ -78,9 +78,9 @@
    */
 static void normalizeReplicatorName(string &name)
 {
-  transform(name.begin(), name.end(), name.begin(), ::tolower);
+  boost::to_lower(name);
   if (name.find("replicator") == string::npos)
-    name.append("replicator", 10);
+    name.append("replicator");
   {
     size_t found_underscore= name.find('_');
     while (found_underscore != string::npos)

=== modified file 'drizzled/sys_var.cc'
--- drizzled/sys_var.cc	2011-06-24 15:25:06 +0000
+++ drizzled/sys_var.cc	2011-07-05 11:15:32 +0000
@@ -1424,7 +1424,7 @@
 void add_sys_var_to_list(sys_var *var)
 {
   string lower_name(var->getName());
-  transform(lower_name.begin(), lower_name.end(), lower_name.begin(), ::tolower);
+  boost::to_lower(lower_name);
 
   /* this fails if there is a conflicting variable name. */
   if (system_variable_map.count(lower_name))
@@ -1556,21 +1556,10 @@
 
 sys_var *find_sys_var(const std::string &name)
 {
-  string lower_name(name);
-  transform(lower_name.begin(), lower_name.end(), lower_name.begin(), ::tolower);
-
-  sys_var *result= NULL;
-
-  if (SystemVariableMap::mapped_type* ptr= find_ptr(system_variable_map, lower_name))
-    result= *ptr;
-
-  if (result == NULL)
-  {
-    my_error(ER_UNKNOWN_SYSTEM_VARIABLE, MYF(0), name.c_str());
-    return NULL;
-  }
-
-  return result;
+  if (sys_var* ptr= find_ptr2(system_variable_map, boost::to_lower_copy(name)))
+    return ptr;
+  my_error(ER_UNKNOWN_SYSTEM_VARIABLE, MYF(0), name.c_str());
+  return NULL;
 }
 
 

=== modified file 'drizzled/table/instance/base.cc'
--- drizzled/table/instance/base.cc	2011-06-24 12:53:16 +0000
+++ drizzled/table/instance/base.cc	2011-07-05 11:15:32 +0000
@@ -374,9 +374,8 @@
   path.length= normalized_path.length= 0;
 
   std::string tb_name(identifier.getTableName());
-  std::transform(tb_name.begin(), tb_name.end(), tb_name.begin(), ::tolower);
+  boost::to_lower(tb_name);
   assert(strcmp(tb_name.c_str(), table_name.str) == 0);
-
   assert(strcmp(identifier.getSchemaName().c_str(), db.str) == 0);
 }
 

=== modified file 'drizzled/table_list.cc'
--- drizzled/table_list.cc	2011-03-28 23:48:44 +0000
+++ drizzled/table_list.cc	2011-07-05 11:15:32 +0000
@@ -294,7 +294,7 @@
         str->append(' ');
 
         string t_alias(alias);
-        transform(t_alias.begin(), t_alias.end(), t_alias.begin(), ::tolower);
+        boost::to_lower(t_alias);
         str->append_identifier(t_alias.c_str(), t_alias.length());
       }
     }

=== modified file 'plugin/filtered_replicator/filtered_replicator.cc'
--- plugin/filtered_replicator/filtered_replicator.cc	2011-06-23 14:03:48 +0000
+++ plugin/filtered_replicator/filtered_replicator.cc	2011-07-05 11:15:32 +0000
@@ -271,13 +271,10 @@
      * also keep all entries in the vectors of schemas and tables to filter in
      * lowercase.
      */
-    std::transform(schema_name.begin(), schema_name.end(),
-                  schema_name.begin(), ::tolower);
-    std::transform(table_name.begin(), table_name.end(),
-                  table_name.begin(), ::tolower);
+    boost::to_lower(schema_name);
+    boost::to_lower(table_name);
 
-    if (! isSchemaFiltered(schema_name) &&
-        ! isTableFiltered(table_name))
+    if (! isSchemaFiltered(schema_name) && ! isTableFiltered(table_name))
     {
       message::Statement *s= filtered_transaction.add_statement();
       *s= statement; /* copy contruct */

